Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598603 - [abrt] crash in gummi-0.4.5-1.fc13: ConfigParser.py:315:get:NoOptionError: No option 'GtkCheckButton' in section: 'DEFAULT'
Summary: [abrt] crash in gummi-0.4.5-1.fc13: ConfigParser.py:315:get:NoOptionError: No...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gummi
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:77110b99
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 17:28 UTC by Christoph Wickert
Modified: 2010-11-22 22:27 UTC (History)
5 users (show)

Fixed In Version: gummi-0.5.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-22 22:20:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-06-01 17:28 UTC, Christoph Wickert
no flags Details

Description Christoph Wickert 2010-06-01 17:28:45 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/gummi
comment: The 'Preferences' dialog of Gimmi makes the application crash.
component: gummi
executable: /usr/bin/gummi
kernel: 2.6.33.4-95.fc13.x86_64
package: gummi-0.4.5-1.fc13
reason: ConfigParser.py:315:get:NoOptionError: No option 'GtkCheckButton' in section: 'DEFAULT'
release: Fedora release 13 (Goddard)

backtrace
-----
ConfigParser.py:315:get:NoOptionError: No option 'GtkCheckButton' in section: 'DEFAULT'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gummi/GummiGUI.py", line 280, in on_menu_preferences_activate
    prefsgui = PrefsGUI(self.config, self.editorpane, self.path, self.mainwindow, self.iofunc)
  File "/usr/lib/python2.6/site-packages/gummi/GummiGUI.py", line 469, in __init__
    self.set_checkbox_status(self.view_box, 'view')
  File "/usr/lib/python2.6/site-packages/gummi/GummiGUI.py", line 488, in set_checkbox_status
    result = self.config.get_value(page, item.get_name())
  File "/usr/lib/python2.6/site-packages/gummi/Preferences.py", line 87, in get_value
    defvalue = self.config.get('DEFAULT', option)
  File "/usr/lib64/python2.6/ConfigParser.py", line 315, in get
    raise NoOptionError(option, section)
NoOptionError: No option 'GtkCheckButton' in section: 'DEFAULT'

Local variables in innermost frame:
opt: 'gtkcheckbutton'
section: 'DEFAULT'
option: 'GtkCheckButton'
self: <ConfigParser.RawConfigParser instance at 0x1aceea8>

How to reproduce
-----
1. Start Gummi
2. Edit -> Preferences
3. Boom!

Comment 1 Christoph Wickert 2010-06-01 17:28:47 UTC
Created attachment 418744 [details]
File: backtrace

Comment 2 Christoph Wickert 2010-06-01 17:32:03 UTC
To correct my previous statement: The application still works after the crash, it's just the prefs that wont show up.

Comment 3 Jim Campbell 2010-06-08 09:43:41 UTC
Package: gummi-0.4.5-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open Gummi
2. Default LaTeX text appears
3. Select Edit > Preferences
4. Gummi crashes


Comment
-----
See above.  No special interaction is required.  Selecting Preferences causes the app to crash.

Comment 4 Brian Armstrong 2010-06-18 16:41:17 UTC
Package: gummi-0.4.5-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Select menu item "Edit" then select "Preferences."
2.
3.


Comment
-----
Started gummi application, then selected "Preferences" from the "Edit" menu.

Comment 5 Fabian Affolter 2010-06-23 21:59:28 UTC
The package was updated to 0.4.8 in Rawhide but unfortunately there is a new issue.

Comment 6 Cezary Bartoszuk 2010-08-31 11:53:28 UTC
Package: gummi-0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Gummi
2. Edit->Preferences

Comment 7 Fabian Affolter 2010-09-06 20:01:13 UTC
Upstream is still working on that issue.

Comment 8 Fedora Update System 2010-11-07 21:59:23 UTC
gummi-0.5.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gummi-0.5.3-1.fc13

Comment 9 Fedora Update System 2010-11-07 21:59:35 UTC
gummi-0.5.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gummi-0.5.3-1.fc14

Comment 10 Fedora Update System 2010-11-08 22:35:48 UTC
gummi-0.5.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gummi'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gummi-0.5.3-1.fc14

Comment 11 Fedora Update System 2010-11-12 23:20:49 UTC
gummi-0.5.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gummi-0.5.3-2.fc14

Comment 12 Fedora Update System 2010-11-12 23:21:00 UTC
gummi-0.5.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gummi-0.5.3-2.fc13

Comment 13 Fedora Update System 2010-11-22 22:20:40 UTC
gummi-0.5.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-22 22:27:00 UTC
gummi-0.5.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.